; AUTOMATICALLY GENERATED -- DO NOT EDIT
;
[naming]
name = httpd
dist = .win6
version = 2.2.22
release = 20.win6
group = System Environment/Daemons
summary = Apache HTTP Server
description =
	The Apache HTTP Server is a powerful, efficient, and extensible
	web server.
[building]
platform = w2k8-x64
preinstalled = unzip
provides = webserver
buildrequires =
	xbuild
	zlib
	libiconv
	db4
	openssl
execute = xbuild_version=2.0.5
	pushd $xbuild_dir
	unzip -d dist xbuild-$xbuild_version.zip
	popd
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=i686 make
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=x86_64 make

[files]
output = $name-$version-$release.src.zip:all:src
	 $name-$version-$release.i686.zip:i686:fre
	 $name-$version-$release.x86_64.zip:x86_64:fre
	 $name-devel-$version-$release.i686.zip:i686:fre
	 $name-devel-$version-$release.x86_64.zip:x86_64:fre
logs =

;[changelog]
;* Wed Sep 26 2012 Mladen Turk <mturk@redhat.com> 2.2.22-20 =
;	- Add missing mod_auth.h for devel package
;* Wed Sep 26 2012 Mladen Turk <mturk@redhat.com> 2.2.22-19 =
;	- Fix JBPAPP-8109
;* Wed Sep 26 2012 Mladen Turk <mturk@redhat.com> 2.2.22-18 =
;	- Fix JBPAPP-10014
;* Tue Sep  4 2012 Mladen Turk <mturk@redhat.com> 2.2.22-17 =
;	- Add patch for CVE-2012-2687
;	- Fix JBPAPP-9812
;	- Fix JBPAPP-9813
;* Mon Aug 20 2012 Mladen Turk <mturk@redhat.com> 2.2.22-16 =
;	- Fix JBPAPP-9708
;* Mon Aug 06 2012 Mladen Turk <mturk@redhat.com> 2.2.22-15 =
;	- Fix JBPAPP-9447
;* Mon Aug 06 2012 Mladen Turk <mturk@redhat.com> 2.2.22-14 =
;	- Axe htdocs directory.
;	- Fix JBPAPP-7633
;* Mon Jul 23 2012 Mladen Turk <mturk@redhat.com> 2.2.22-13 =
;	- Fix JBPAPP-9529.
;* Tue Jul 17 2012 Mladen Turk <mturk@redhat.com> 2.2.22-12 =
;	- Rebuild
;* Sat Jul 14 2012 Mladen Turk <mturk@redhat.com> 2.2.22-11 =
;	- Try to fix JBPAPP-9491 on Windows by using relative HTTPD_ROOT.
;* Thu Jul 12 2012 Mladen Turk <mturk@redhat.com> 2.2.22-10 =
;	- Try to fix JBPAPP-9491 by using the same HTTPD_ROOT as on RHEL.
;* Thu Jul 12 2012 Mladen Turk <mturk@redhat.com> 2.2.22-9 =
;	- Fix JBPAPP-9381.
;	- Fix JBPAPP-9491.
;* Wed Jun 27 2012 Mladen Turk <mturk@redhat.com> 2.2.22-8 =
;	- Add missing directory layout bits.
;	- Add missing noindex.html
;* Wed Jun 27 2012 Mladen Turk <mturk@redhat.com> 2.2.22-7 =
;	- Fix apr-1-config CFLAGS and LDFLAGS.
;* Mon Jun 11 2012 Mladen Turk <mturk@redhat.com> 2.2.22-6 =
;	- Fix postinstall files and replacement macros.
;* Wed May 23 2012 Mladen Turk <mturk@redhat.com> 2.2.22-5 =
;	- Add patch for JBPAPP-9087.
;	- Rebuild
;* Wed May 23 2012 Mladen Turk <mturk@redhat.com> 2.2.22-4 =
;	- Add patch for JBPAPP-9087.
;* Tue Apr 25 2012 Mladen Turk <mturk@redhat.com> 2.2.1-3 =
;	- Add mod_log_config.h to dev package so we can build mod_rt.
;	- Fix apr-util patches that are now inside bundle.
;* Tue Apr 25 2012 Mladen Turk <mturk@redhat.com> 2.2.1-2 =
;	- Add mod_log_config.h to dev package so we can build mod_rt.
;* Tue Apr 24 2012 Mladen Turk <mturk@redhat.com> 2.2.1-1 =
;	- Upgrade to 2.2.22.
;* Wed Feb  1 2012 Mladen Turk <mturk@redhat.com> 2.2.17-15.7 =
;	- Rebuild using git repository.
;* Fri Dec  9 2011 Mladen Turk <mturk@redhat.com> - 2.2.17-15.6 =
;	- Rebuild for EAP 6 / EWS 2 with fixed db4
;	- Make sure build fails if make step fails.
;* Wed Dec  7 2011 Vaclav Tunka <vtunka@redhat.com> - 2.2.17-15.5 =
;	- Rebuild for EAP 6 / EWS 2 
;* Fri Oct 21 2011 Vaclav Tunka <vtunka@redhat.com> - 2.2.17-15.4 =
;	- Makefile include for general xbuild Makefile
;	- Moving to generated .ini file
;	- Add win buildrequires for xbuild, zlib, libiconv, db4, openssl
;	- CVE-2011-3192ver3
;	- CVE-2011-3368
;	- CVE-2011-3348
;* Tue Oct 18 2011 Vaclav Tunka <vtunka@redhat.com> - 2.2.17-15.3 = =
;	- Add fre parameter to the artifact sources
;	- Use local variables inside winspec file
;	- Use new version of xbuild 2.0.2
;	- Remove the -win suffix
;	- Add dist property
;	- Add make win-build target to Makefile
;	- Use the xbuild make command to simplify readability
;* Wed Oct 11 2011 Mladen Turk <mturk@redhat.com> - 2.2.17-15.2 =
;	- Add lib/modules to the distribution
;* Wed Oct 11 2011 Mladen Turk <mturk@redhat.com> - 2.2.17-15.1 =
;	- Fix destination of include files
;* Tue Oct 11 2011 Mladen Turk <mturk@redhat.com> - 2.2.17-15 =
;	- backport EWS 1.0.2 patches
;* Wed Sep 07 2011 Weinan Li <weli@redhat.com> - 2.2.17-14.1 =
;	- updated patch for CVE-2011-3192
;* Wed Aug 31 2011 Weinan Li <weli@redhat.com> - 2.2.17-13.1 =
;	- updated patch for CVE-2011-3192 from upstream (#733062)
;* Fri Aug 30 2011 Weinan Li <weli@redhat.com> - 2.2.17-12.1 =
;	- fix #733062 -  backported CVE-2011-3192 fix from httpd trunk
;* Mon Apr 18 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-11.1 =
;	- Add patch for JBPAPP-3614 and MODCLUSTER-226
;* Fri Apr 01 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-10.1 =
;	- Add comment in conf file for use with mod_jk and mod_cluster (JBPAPP-6218)
;* Mon Mar 07 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-9.1 =
;	- Add fix for bz48735
;	- Replace VENDOR properly
;* Wed Mar 02 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-8.1 =
;	- Update index.html
;* Wed Feb 23 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-7.1 =
;	- Fix patch for bz50481
;* Wed Feb 23 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-5.1 =
;	- Apply fix for JBPAPP-5951 (apache issue 50481)
;* Mon Feb 14 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-3.1 =
;	- Add noindex.html to zip
;* Thu Jan 20 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-2.2 =
;	- Rebuild
;* Wed Jan 12 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-2.1 =
;	- build the event MPM
;* Thu Jan 06 2011 Permaine Cheung <pcheung@redhat.com> 2.2.17-1 =
;	- Update to 2.2.17
;	- Remove patches that are incorporated in this version
;	- Rediff patches
;* Fri Oct 29 2010 Permaine Cheung <pcheung@redhat.com> 2.2.14-1.2.7 =
;	- Remove Installation section in README as it is not applicable
;	- Remove checkgid,envvars,envvars-std,dbmmanage from the zip
;	- Re-enable OCSP support for EWS 1.0.2
;* Thu Apr 22 2010 Permaine Cheung <pcheung@redhat.com> 2.2.14-1.2.6 =
;	- Fix the sslreneg patch
;* Thu Mar 25 2010 Permaine Cheung <pcheung@redhat.com> 2.2.14-1.2.5 =
;	- require and BR a version of OpenSSL with the secure reneg API (#567980)
;* Fri Mar 12 2010 Permaine Cheung <pcheung@redhat.com> 2.2.14-1.2.4 =
;	- mod_ssl: add SSLInsecureRenegotiation
;* Fri Mar 05 2010 Permaine Cheung <pcheung@redhat.com> 2.2.14-1.2.3 =
;	- Add security fixes for CVE-2010-0408, CVE-2010-0434
;	- Disable OCSP support until EWS 1.0.2
;* Thu Feb 25 2010 Joe Orton <jorton@redhat.com> - 2.2.14-1.2.2 =
;	- mod_ssl: add OCSP support
;* Tue Jan 12 2010  Permaine Cheung <pcheung@redhat.com> 2.2.14-1.2.1 =
;	- Merge with RHEL-4-EP-5 branch
;* Fri Nov 13 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-11 =
;	- Add security fixes for CVE-2009-3555, CVE-2009-3094 and CVE-2009-3095
;* Fri Jul  3 2009 Joe Orton <jorton@redhat.com> 2.2.10-10 =
;	- add security fixes for CVE-2009-1890, CVE-2009-1891
;* Fri Jun 19 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-9 =
;	- Fix apachectl in rpm
;* Tue Jun 16 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-8 =
;	- Fix apachectl in zip
;* Wed Jun 10 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-7 =
;	- Updated patch for CVE-2009-1195 from Joe Orton
;* Mon Jun 08 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-5 =
;	- Add patch for CVE-2009-1195 (BZ 489436)
;* Thu Apr 23 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-4 =
;	- Add patch for CVE-2009-1191 (BZ 496801)
;* Sat Feb 28 2009 Permaine Cheung <pcheung@redhat.com> 2.2.10-3 =
;	- Add zip
;* Mon Nov 17 2008 Permaine Cheung <pcheung@redhat.com> 2.2.10-2 =
;	- Back port patch for IT 231340
;* Fri Oct 24 2008 Joe Orton <jorton@redhat.com> 2.2.10-1.el5s2 =
;	- update to 2.2.10
;* Mon Oct 20 2008 Joe Orton <jorton@redhat.com> 2.2.9-1.el5s2 =
;	- update to 2.2.9
;* Wed Feb 20 2008 Joe Orton <jorton@redhat.com> 2.2.8-1.el5s2 =
;	- update to 2.2.8
;* Wed Jan 16 2008 Joe Orton <jorton@redhat.com> 2.2.4-9.el5s2 =
;	- updated backport for CVE-2007-6421 (#427239)
;* Tue Jan  8 2008 Joe Orton <jorton@redhat.com> 2.2.4-8.el5s2 =
;	- add security fix for CVE-2007-5000 (#421661)
;	- add security fixes for CVE-2007-6388, CVE-2007-6421,
;	- add security fix for CVE-2008-0005 (#427741)
;* Tue Sep 18 2007 Joe Orton <jorton@redhat.com> 2.2.4-7.el5s2 =
;	- add security fix for CVE-2007-4465 (#294451)
;* Thu Sep  6 2007 Joe Orton <jorton@redhat.com> 2.2.4-6.el5s2 =
;	- add security fix for CVE-2007-3847 (#251114)
;* Thu Jun 28 2007 Joe Orton <jorton@redhat.com> 2.2.4-5.el5s2 =
;	- add security fixes for CVE-2007-1863, CVE-2007-3304,
;* Thu Apr 19 2007 Joe Orton <jorton@redhat.com> 2.2.4-4.el5s2 =
;	- branding fixes
;* Thu Apr 19 2007 Joe Orton <jorton@redhat.com> 2.2.4-3.el5s2 =
;	- rebuild
;* Tue Apr  3 2007 Joe Orton <jorton@redhat.com> 2.2.4-3 =
;	- drop old triggers, old Requires, xmlto BR
;	- use Requires(...) correctly 
;	- use standard BuildRoot 
;	- don't mark init script as config file
;	- trim CHANGES further
;* Mon Mar 12 2007 Joe Orton <jorton@redhat.com> 2.2.4-2 =
;	- update to 2.2.4
;	- drop the migration guide (#223605)
;* Thu Dec  7 2006 Joe Orton <jorton@redhat.com> 2.2.3-8 =
;	- fix path to instdso.sh in special.mk (#217677)
;	- fix detection of links in "apachectl fullstatus"
;* Tue Dec  5 2006 Joe Orton <jorton@redhat.com> 2.2.3-7 =
;	- rebuild for libpq soname bump
;* Sat Nov 11 2006 Joe Orton <jorton@redhat.com> 2.2.3-6 =
;	- rebuild for BDB soname bump
;* Mon Sep 11 2006 Joe Orton <jorton@redhat.com> 2.2.3-5 =
;	- updated "powered by Fedora" logo (#205573, Diana Fong)
;	- tweak welcome page wording slightly (#205880)
;* Fri Aug 18 2006 Jesse Keating <jkeating@redhat.com> - 2.2.3-4 =
;	- rebuilt with latest binutils to pick up 64K -z commonpagesize on ppc*
;* Thu Aug  3 2006 Joe Orton <jorton@redhat.com> 2.2.3-3 =
;	- init: use killproc() delay to avoid race killing parent
;* Fri Jul 28 2006 Joe Orton <jorton@redhat.com> 2.2.3-2 =
;	- update to 2.2.3
;	- trim %changelog to >=2.0.52
;* Thu Jul 20 2006 Joe Orton <jorton@redhat.com> 2.2.2-8 =
;	- fix segfault on dummy connection failure at graceful restart (#199429)
;* Wed Jul 19 2006 Joe Orton <jorton@redhat.com> 2.2.2-7 =
;	- fix "apxs -g"-generated Makefile
;	- fix buildconf with autoconf 2.60
;* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.2.2-5.1 =
;	- rebuild
;* Wed Jun  7 2006 Joe Orton <jorton@redhat.com> 2.2.2-5 =
;	- require pkgconfig for -devel (#194152)
;	- fixes for installed support makefiles (special.mk et al)
;	- BR autoconf
;* Fri Jun  2 2006 Joe Orton <jorton@redhat.com> 2.2.2-4 =
;	- make -devel package multilib-safe (#192686)
;* Thu May 11 2006 Joe Orton <jorton@redhat.com> 2.2.2-3 =
;	- build DSOs using -z relro linker flag
;* Wed May  3 2006 Joe Orton <jorton@redhat.com> 2.2.2-2 =
;	- update to 2.2.2
;* Thu Apr  6 2006 Joe Orton <jorton@redhat.com> 2.2.0-6 =
;	- rebuild to pick up apr-util LDAP interface fix (#188073)
;* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - (none):2.2.0-5.1.2 =
;	- bump again for double-long bug on ppc(64)
;* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - (none):2.2.0-5.1.1 =
;	- rebuilt for new gcc4.1 snapshot and glibc changes
;* Mon Feb  6 2006 Joe Orton <jorton@redhat.com> 2.2.0-5.1 =
;	- mod_auth_basic/mod_authn_file: if no provider is configured,
;* Fri Feb  3 2006 Joe Orton <jorton@redhat.com> 2.2.0-5 =
;	- mod_ssl: add security fix for CVE-2005-3357 (#177914)
;	- mod_imagemap: add security fix for CVE-2005-3352 (#177913)
;	- add fix for AP_INIT_* designated initializers with C++ compilers
;	- httpd.conf: enable HTMLTable in default IndexOptions
;	- httpd.conf: add more "redirect-carefully" matches for DAV clients
;* Thu Jan  5 2006 Joe Orton <jorton@redhat.com> 2.2.0-4 =
;	- mod_proxy_ajp: fix Cookie handling (Mladen Turk, r358769)
;* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> =
;	- rebuilt
;* Wed Dec  7 2005 Joe Orton <jorton@redhat.com> 2.2.0-3 =
;	- strip manual to just English content
;* Mon Dec  5 2005 Joe Orton <jorton@redhat.com> 2.2.0-2 =
;	- don't strip C-L from HEAD responses (Greg Ames, #110552)
;	- load mod_proxy_balancer by default
;	- add proxy_ajp.conf to load/configure mod_proxy_ajp
;	- Obsolete mod_jk
;	- update docs URLs in httpd.conf/ssl.conf
;* Fri Dec  2 2005 Joe Orton <jorton@redhat.com> 2.2.0-1 =
;	- update to 2.2.0
;* Wed Nov 30 2005 Joe Orton <jorton@redhat.com> 2.1.10-2 =
;	- enable mod_authn_alias, mod_authn_anon
;	- update default httpd.conf
;* Fri Nov 25 2005 Joe Orton <jorton@redhat.com> 2.1.10-1 =
;	- update to 2.1.10
;	- require apr >= 1.2.0, apr-util >= 1.2.0
;* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 2.0.54-16 =
;	- rebuilt against new openssl
;* Thu Nov  3 2005 Joe Orton <jorton@redhat.com> 2.0.54-15 =
;	- log notice giving SELinux context at startup if enabled
;	- drop SSLv2 and restrict default cipher suite in default
;* Thu Oct 20 2005 Joe Orton <jorton@redhat.com> 2.0.54-14 =
;	- mod_ssl: add security fix for SSLVerifyClient (CVE-2005-2700)
;	- add security fix for byterange filter DoS (CVE-2005-2728)
;	- add security fix for C-L vs T-E handling (CVE-2005-2088)
;	- mod_ssl: add security fix for CRL overflow (CVE-2005-1268)
;	- mod_ldap/mod_auth_ldap: add fixes from 2.0.x branch (upstream #34209 etc)
;	- add fix for dummy connection handling (#167425)
;	- mod_auth_digest: fix hostinfo comparison in CONNECT requests
;	- mod_include: fix variable corruption in nested includes (upstream #12655)
;	- mod_ssl: add fix for handling non-blocking reads
;	- mod_ssl: fix to enable output buffering (upstream #35279)
;	- mod_ssl: buffer request bodies for per-location renegotiation (upstream #12355)
;* Sat Aug 13 2005 Joe Orton <jorton@redhat.com> 2.0.54-13 =
;	- don't load by default: mod_cern_meta, mod_asis
;	- do load by default: mod_ext_filter (#165893)
;* Thu Jul 28 2005 Joe Orton <jorton@redhat.com> 2.0.54-12 =
;	- drop broken epoch deps
;* Thu Jun 30 2005 Joe Orton <jorton@redhat.com> 2.0.54-11 =
;	- mod_dav_fs: fix uninitialized variable (#162144)
;	- add epoch to dependencies as appropriate
;	- mod_ssl: drop dependencies on dev, make
;	- mod_ssl: mark post script dependencies as such
;* Mon May 23 2005 Joe Orton <jorton@redhat.com> 2.0.54-10 =
;	- remove broken symlink (Robert Scheck, #158404)
;* Wed May 18 2005 Joe Orton <jorton@redhat.com> 2.0.54-9 =
;	- add piped logger fixes (w/Jeff Trawick)
;* Mon May  9 2005 Joe Orton <jorton@redhat.com> 2.0.54-8 =
;	- drop old "powered by Red Hat" logos
;* Wed May  4 2005 Joe Orton <jorton@redhat.com> 2.0.54-7 =
;	- mod_userdir: fix memory allocation issue (upstream #34588)
;	- mod_ldap: fix memory corruption issue (Brad Nicholes, upstream #34618)
;* Tue Apr 26 2005 Joe Orton <jorton@redhat.com> 2.0.54-6 =
;	- fix key/cert locations in post script
;* Mon Apr 25 2005 Joe Orton <jorton@redhat.com> 2.0.54-5 =
;	- create default dummy cert in /etc/pki/tls
;	- use a pseudo-random serial number on the dummy cert
;	- change default ssl.conf to point at /etc/pki/tls
;	- merge back -suexec subpackage; SELinux policy can now be
;	- drop /etc/httpd/conf/ssl.* directories and Makefiles
;	- unconditionally enable PIE support
;	- mod_ssl: fix for picking up -shutdown options (upstream #34452)
;* Mon Apr 18 2005 Joe Orton <jorton@redhat.com> 2.0.54-4 =
;	- replace PreReq with Requires(pre) 
;* Mon Apr 18 2005 Joe Orton <jorton@redhat.com> 2.0.54-3 =
;	- update to 2.0.54
;* Tue Mar 29 2005 Joe Orton <jorton@redhat.com> 2.0.53-6 =
;	- update default httpd.conf:
;	- mod_ssl: set user from SSLUserName in access hook (upstream #31418)
;	- htdigest: fix permissions of created files (upstream #33765)
;	- remove htsslpass
;* Wed Mar  2 2005 Joe Orton <jorton@redhat.com> 2.0.53-5 =
;	- apachectl: restore use of $OPTIONS again
;* Wed Feb  9 2005 Joe Orton <jorton@redhat.com> 2.0.53-4 =
;	- update to 2.0.53
;	- move prefork/worker modules comparison to %check
;* Mon Feb  7 2005 Joe Orton <jorton@redhat.com> 2.0.52-7 =
;	- fix cosmetic issues in "service httpd reload"
;	- move User/Group higher in httpd.conf (#146793)
;	- load mod_logio by default in httpd.conf
;	- apachectl: update for correct libselinux tools locations
;* Tue Nov 16 2004 Joe Orton <jorton@redhat.com> 2.0.52-6 =
;	- add security fix for CVE CAN-2004-0942 (memory consumption DoS)
;	- SELinux: run httpd -t under runcon in configtest (Steven Smalley)
;	- fix SSLSessionCache comment for distcache in ssl.conf
;	- restart using SIGHUP not SIGUSR1 after logrotate
;	- add ap_save_brigade fix (upstream #31247)
;	- mod_ssl: fix possible segfault in auth hook (upstream #31848)
;	- add htsslpass(1) and configure as default SSLPassPhraseDialog (#128677)
;	- apachectl: restore use of $OPTIONS
;	- apachectl, httpd.init: refuse to restart if $HTTPD -t fails
;	- apachectl: run $HTTPD -t in user SELinux context for configtest
;	- update for pcre-5.0 header locations
;* Sat Nov 13 2004 Jeff Johnson <jbj@redhat.com> 2.0.52-5 =
;	- rebuild against db-4.3.21 aware apr-util.
;* Thu Nov 11 2004 Jeff Johnson <jbj@jbj.org> 2.0.52-4 =
;	- rebuild against db-4.3-21.
;* Thu Sep 28 2004 Joe Orton <jorton@redhat.com> 2.0.52-3 =
;	- add dummy connection address fixes from HEAD
;	- mod_ssl: add security fix for CAN-2004-0885
;* Tue Sep 28 2004 Joe Orton <jorton@redhat.com> 2.0.52-2 =
;	- update to 2.0.52
